/* 
 * File:   Driver.cpp
 * Author: Bright Dadson
 *
 * Created on 14 February 2011, 22:01
 */

#include <memory> // std::auto_ptr
#include <iostream>
#include <odb/database.hxx>
#include <odb/transaction.hxx>
#include <odb/mysql/database.hxx>
#include "Member-odb.hxx"
#include "Member-odb.hxx"


using namespace std;
using namespace odb;

int main(int argc, char* argv[]) {

    //print the values passed for execution to confirm we got here
    cout << endl << argc << "  " << argv;

    try {
        auto_ptr<database> db(new mysql::database(argc, argv));
        unsigned long john_id;

        // Create a few persistent person objects.
        {
            Member * john = new Member();
            john->setFirstName("John");
            john->setLastName("Newman");

            transaction t(db->begin());
            // Make objects persistent and save their ids for later use.
            //
            john_id = db->persist(john);
            t.commit();
        }

    } catch (const odb::exception& e) {
        cerr << e.what() << endl;
        return 1;
    }

    return 0;
}